RootEntitySourceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.hbm
Class RootEntitySourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.hbm.AbstractEntitySourceImpl
          org.hibernate.metamodel.source.hbm.RootEntitySourceImpl

All Implemented Interfaces:
  AttributeSourceContainer, EntitySource, RootEntitySource, SubclassEntityContainer

    public class RootEntitySourceImpl

extends AbstractEntitySourceImpl
implements RootEntitySource

Constructor Summary
`protected` | `RootEntitySourceImpl(MappingDocument sourceMappingDocument, JaxbHibernateMapping.JaxbClass entityElement)`

Method Summary
`protected JaxbHibernateMapping.JaxbClass` | `entityElement()`
`Caching` | `getCaching()` Obtain the caching configuration for this entity.
`String` | `getDiscriminatorMatchValue()` Get the actual discriminator value in case of a single table inheritance
`DiscriminatorSource` | `getDiscriminatorSource()` Obtain the source information about the discriminator attribute for single table inheritance
`EntityMode` | `getEntityMode()` Obtain the entity mode for this entity.
`IdentifierSource` | `getIdentifierSource()` Obtain source information about this entity's identifier.
`OptimisticLockStyle` | `getOptimisticLockStyle()` Obtain the optimistic locking style for this entity.
`TableSource` | `getPrimaryTable()` Obtain the primary table for this entity.
`String` | `getRowId()` Obtain the row-id name for this entity
`SingularAttributeSource` | `getVersioningAttributeSource()` Obtain the source information about the attribute used for versioning.
`String` | `getWhere()` Obtain the specified extra where condition to be applied to this entity.
`boolean` | `isExplicitPolymorphism()` Should explicit polymorphism (querying) be applied to this entity?
`boolean` | `isMutable()` Is this root entity mutable?

Methods inherited from class org.hibernate.metamodel.source.hbm.AbstractEntitySourceImpl
`add, add, attributeSources, determineEntityMode, getBatchSize, getClassName, getConstraints, getCustomLoaderName, getCustomPersisterClassName, getCustomSqlDelete, getCustomSqlInsert, getCustomSqlUpdate, getCustomTuplizerClassName, getEntityName, getJpaCallbackClasses, getJpaEntityName, getLocalBindingContext, getOrigin, getPath, getProxy, getSecondaryTables, getSynchronizedTableNames, injectHierarchy, isAbstract, isDynamicInsert, isDynamicUpdate, isLazy, isSelectBeforeUpdate, metaAttributes, sourceMappingDocument, subclassEntitySources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.source.binder.EntitySource
`getBatchSize, getClassName, getConstraints, getCustomLoaderName, getCustomPersisterClassName, getCustomSqlDelete, getCustomSqlInsert, getCustomSqlUpdate, getCustomTuplizerClassName, getEntityName, getJpaCallbackClasses, getJpaEntityName, getLocalBindingContext, getOrigin, getProxy, getSecondaryTables, getSynchronizedTableNames, isAbstract, isDynamicInsert, isDynamicUpdate, isLazy, isSelectBeforeUpdate, metaAttributes`

Methods inherited from interface org.hibernate.metamodel.source.binder.SubclassEntityContainer
`add, subclassEntitySources`

Methods inherited from interface org.hibernate.metamodel.source.binder.AttributeSourceContainer
`attributeSources, getPath`

Constructor Detail

### RootEntitySourceImpl

    protected RootEntitySourceImpl(MappingDocument sourceMappingDocument,
                                   JaxbHibernateMapping.JaxbClass entityElement)

Method Detail

### entityElement

    protected JaxbHibernateMapping.JaxbClass entityElement()

  Overrides:
    `entityElement` in class `AbstractEntitySourceImpl`

### getIdentifierSource

    public IdentifierSource getIdentifierSource()

  Description copied from interface: `RootEntitySource`
  Obtain source information about this entity's identifier.

  Specified by:
    `getIdentifierSource` in interface `RootEntitySource`
  Returns:
    Identifier source information.

### getVersioningAttributeSource

    public SingularAttributeSource getVersioningAttributeSource()

  Description copied from interface: `RootEntitySource`
  Obtain the source information about the attribute used for versioning.

  Specified by:
    `getVersioningAttributeSource` in interface `RootEntitySource`
  Returns:
    the source information about the attribute used for versioning

### getEntityMode

    public EntityMode getEntityMode()

  Description copied from interface: `RootEntitySource`
  Obtain the entity mode for this entity.

  Specified by:
    `getEntityMode` in interface `RootEntitySource`
  Returns:
    The entity mode.

### isMutable

    public boolean isMutable()

  Description copied from interface: `RootEntitySource`
  Is this root entity mutable?

  Specified by:
    `isMutable` in interface `RootEntitySource`
  Returns:
    `true` indicates mutable; `false` non-mutable.

### isExplicitPolymorphism

    public boolean isExplicitPolymorphism()

  Description copied from interface: `RootEntitySource`
  Should explicit polymorphism (querying) be applied to this entity?

  Specified by:
    `isExplicitPolymorphism` in interface `RootEntitySource`
  Returns:
    `true` indicates explicit polymorphism; `false` implicit.

### getWhere

    public String getWhere()

  Description copied from interface: `RootEntitySource`
  Obtain the specified extra where condition to be applied to this entity.

  Specified by:
    `getWhere` in interface `RootEntitySource`
  Returns:
    The extra where condition

### getRowId

    public String getRowId()

  Description copied from interface: `RootEntitySource`
  Obtain the row-id name for this entity

  Specified by:
    `getRowId` in interface `RootEntitySource`
  Returns:
    The row-id name

### getOptimisticLockStyle

    public OptimisticLockStyle getOptimisticLockStyle()

  Description copied from interface: `RootEntitySource`
  Obtain the optimistic locking style for this entity.

  Specified by:
    `getOptimisticLockStyle` in interface `RootEntitySource`
  Returns:
    The optimistic locking style.

### getCaching

    public Caching getCaching()

  Description copied from interface: `RootEntitySource`
  Obtain the caching configuration for this entity.

  Specified by:
    `getCaching` in interface `RootEntitySource`
  Returns:
    The caching configuration.

### getPrimaryTable

    public TableSource getPrimaryTable()

  Description copied from interface: `EntitySource`
  Obtain the primary table for this entity.

  Specified by:
    `getPrimaryTable` in interface `EntitySource`
  Returns:
    The primary table.

### getDiscriminatorMatchValue

    public String getDiscriminatorMatchValue()

  Description copied from interface: `EntitySource`
  Get the actual discriminator value in case of a single table inheritance

  Specified by:
    `getDiscriminatorMatchValue` in interface `EntitySource`
  Overrides:
    `getDiscriminatorMatchValue` in class `AbstractEntitySourceImpl`
  Returns:
    the actual discriminator value in case of a single table inheritance or `null` in case there is no explicit value or a different inheritance scheme

### getDiscriminatorSource

    public DiscriminatorSource getDiscriminatorSource()

  Description copied from interface: `RootEntitySource`
  Obtain the source information about the discriminator attribute for single table inheritance

  Specified by:
    `getDiscriminatorSource` in interface `RootEntitySource`
  Returns:
    the source information about the discriminator attribute for single table inheritance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.